<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab2"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">EDITAR TAREA</h1>
      </ion-col>
      <ion-col size="2">
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="nocancel==true">
  <ion-row class="ion-margin-top mt-30 px-20" *ngFor="let tar of tarea">
      <ion-col size="12" class="ion-text-end">
        <div *ngIf="tar.Status==1">
        <span>Creada:</span>&nbsp;<span>{{tar.FechaSol | date:'EEEE'}}</span>&nbsp;<span>{{tar.FechaSol | date:'dd'}}</span>&nbsp;<span style="text-transform:none">de</span>&nbsp;<span>{{tar.FechaSol | date:'MMMM'}}</span>&nbsp;<span style="text-transform:none">de</span>&nbsp;<span>{{tar.FechaSol | date:'y'}}</span>
        </div>

        <div *ngIf="tar.Status==2">
        <span>finalizada:</span>&nbsp;<span>{{tar.FechaFin | date:'EEEE'}}</span>&nbsp;<span>{{tar.FechaFin | date:'dd'}}</span>&nbsp;<span style="text-transform:none">de</span>&nbsp;<span>{{tar.FechaFin | date:'MMMM'}}</span>&nbsp;<span style="text-transform:none">de</span>&nbsp;<span>{{tar.FechaFin | date:'y'}}</span>
        </div>

        <div *ngIf="tar.Status==3">
        <span>Cancelada:</span>&nbsp;<span>{{tar.FechaFin | date:'EEEE'}}</span>&nbsp;<span>{{tar.FechaFin | date:'dd'}}</span>&nbsp;<span style="text-transform:none">de</span>&nbsp;<span>{{tar.FechaFin | date:'MMMM'}}</span>&nbsp;<span style="text-transform:none">de</span>&nbsp;<span>{{tar.FechaFin | date:'y'}}</span>
        </div>
        <span *ngFor="let datos2 of rem">Asignada por: {{datos2.Nombre}}</span><br>
      </ion-col>
      <ion-col size="12" class="ion-text-left mt-30">
        <ion-label style="color: black!important;">para</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">{{tar.Nombre}}</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label style="color: black!important;">Cliente</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">{{tar.Nombre_Empresa}}</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label style="color: black!important;">Sucursal</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">{{tar.nombreSO}}</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label style="color: black!important;">Tarea</ion-label>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <!-- <ion-label color="primary" style="font-weight: bolder;">{{tar.Tarea}}</ion-label> -->
        <textarea style="width: 100%;font-weight: bolder;color: #07138f; border: none;" color="primary" [(ngModel)]="Tarea" value="{{Tarea}}"></textarea>
      </ion-col>
      <ion-col size="8" class="ion-text-left border pt-20 pb-20">
        <ion-label color="primary" style="font-weight: bolder;">Archivos Multimedia</ion-label>
      </ion-col>
      <ion-col size="4" class="ion-text-left border">
        <div class="contenedor">
          <label for="archivo1" id="archivo"></label>
          <input style="height: 0px;width: 0px;" type="file" id="archivo1"
          (change)="onFileChanged($event)"  class="hidden" multiple="true"
          accept="audio/*,video/*,.zip,.rar,.7zip,.xlsx,.xls,image/*,.doc, .docx,.ppt, .pptx,.txt,.pdf">
        </div>
      </ion-col>
      <ion-col size="12">

        <ion-row class="ion-margin-top mt-2 px-20" *ngFor="let archi of arch">
            <ion-col size="12" class="ion-text-left">
            <img *ngIf="archi.formato === 'png' || archi.formato === 'jpg'
            || archi.formato === 'jpeg' || archi.formato === 'gif'
            || archi.formato === 'bmp' || archi.formato === 'ico'"
            src="../../../assets/img/images-outline.svg" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'doc' || archi.formato === 'dot'
            || archi.formato === 'docx'"
            src="../../../assets/img/word.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'xls' || archi.formato === 'xlsx'
            || archi.formato === 'csv' || archi.formato === 'xlk'
            || archi.formato === 'xlm' || archi.formato === 'ctt'"
            src="../../../assets/img/excel.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'pps' || archi.formato === 'ppt'
            || archi.formato === 'pptx'"
            src="../../../assets/img/power.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'pdf'"
            src="../../../assets/img/pdf.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'zip' || archi.formato === '7z'
            || archi.formato === 'rar'"
            src="../../../assets/img/zip.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'mp3' || archi.formato === 'mid'
            || archi.formato === 'wav' || archi.formato === 'aac'"
            src="../../../assets/img/musica.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato === 'avi' || archi.formato === 'mkv'
            || archi.formato === 'flv' || archi.formato === 'mov'
            || archi.formato === 'wmv' || archi.formato === 'mp4'"
            src="../../../assets/img/video.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="archi.formato !== 'png' && archi.formato !== 'jpg'
            && archi.formato !== 'jpeg' && archi.formato !== 'gif'
            && archi.formato !== 'bmp' && archi.formato !== 'ico' &&
            archi.formato !== 'doc' && archi.formato !== 'dot'
            && archi.formato !== 'docx' && archi.formato !== 'xls' && archi.formato !== 'xlsx'
            && archi.formato !== 'csv' && archi.formato !== 'xlk'
            && archi.formato !== 'xlm' && archi.formato !== 'ctt' &&
            archi.formato !== 'pps' && archi.formato !== 'ppt'
            && archi.formato !== 'pptx' && archi.formato !== 'pdf' &&
            archi.formato !== 'zip' && archi.formato !== '7z'
            && archi.formato !== 'rar' && archi.formato !== 'mp3' && archi.formato !== 'mid'
            && archi.formato !== 'wav' && archi.formato !== 'aac' &&
            archi.formato !== 'avi' && archi.formato !== 'mkv'
            && archi.formato !== 'flv' && archi.formato !== 'mov'
            && archi.formato !== 'wmv' && archi.formato !== 'mp4'"
            src="../../../assets/img/archivo.png" width="20px" height="20px"
            class="mr-2 imgS">
            <a href="https://animatiomx.com/lumi/Archivos/{{archi.Nombre}}" target="_blank"><label style="cursor: pointer;margin-bottom: 3px;" >{{(archi.Nombre).substring(18, 100)}}</label></a>
            <img (click)="eliminaArchivos(archi.idArchivos)" src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px">
            </ion-col>
        </ion-row>

        <ion-row class="ion-margin-top mt-2 px-20" *ngFor="let archivonom of nombredearchivos; let i = index">
          <ion-col size="12" class="ion-text-left">
            <img *ngIf="tipodearchivo[i] === 'png' || tipodearchivo[i] === 'jpg'
            || tipodearchivo[i] === 'jpeg' || tipodearchivo[i] === 'gif'
            || tipodearchivo[i] === 'bmp' || tipodearchivo[i] === 'ico'"
            src="../../../assets/img/images-outline.svg" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'doc' || tipodearchivo[i] === 'dot'
            || tipodearchivo[i] === 'docx'"
            src="../../../assets/img/word.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'xls' || tipodearchivo[i] === 'xlsx'
            || tipodearchivo[i] === 'csv' || tipodearchivo[i] === 'xlk'
            || tipodearchivo[i] === 'xlm' || tipodearchivo[i] === 'ctt'"
            src="../../../assets/img/excel.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'pps' || tipodearchivo[i] === 'ppt'
            || tipodearchivo[i] === 'pptx'"
            src="../../../assets/img/power.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'pdf'"
            src="../../../assets/img/pdf.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'zip' || tipodearchivo[i] === '7z'
            || tipodearchivo[i] === 'rar'"
            src="../../../assets/img/zip.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'mp3' || tipodearchivo[i] === 'mid'
            || tipodearchivo[i] === 'wav' || tipodearchivo[i] === 'aac'"
            src="../../../assets/img/musica.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] === 'avi' || tipodearchivo[i] === 'mkv'
            || tipodearchivo[i] === 'flv' || tipodearchivo[i] === 'mov'
            || tipodearchivo[i] === 'wmv' || tipodearchivo[i] === 'mp4'"
            src="../../../assets/img/video.png" width="20px" height="20px"
            class="mr-2 imgS">
            <img *ngIf="tipodearchivo[i] !== 'png' && tipodearchivo[i] !== 'jpg'
            && tipodearchivo[i] !== 'jpeg' && tipodearchivo[i] !== 'gif'
            && tipodearchivo[i] !== 'bmp' && tipodearchivo[i] !== 'ico' &&
            tipodearchivo[i] !== 'doc' && tipodearchivo[i] !== 'dot'
            && tipodearchivo[i] !== 'docx' && tipodearchivo[i] !== 'xls' && tipodearchivo[i] !== 'xlsx'
            && tipodearchivo[i] !== 'csv' && tipodearchivo[i] !== 'xlk'
            && tipodearchivo[i] !== 'xlm' && tipodearchivo[i] !== 'ctt' &&
            tipodearchivo[i] !== 'pps' && tipodearchivo[i] !== 'ppt'
            && tipodearchivo[i] !== 'pptx' && tipodearchivo[i] !== 'pdf' &&
            tipodearchivo[i] !== 'zip' && tipodearchivo[i] !== '7z'
            && tipodearchivo[i] !== 'rar' && tipodearchivo[i] !== 'mp3' && tipodearchivo[i] !== 'mid'
            && tipodearchivo[i] !== 'wav' && tipodearchivo[i] !== 'aac' &&
            tipodearchivo[i] !== 'avi' && tipodearchivo[i] !== 'mkv'
            && tipodearchivo[i] !== 'flv' && tipodearchivo[i] !== 'mov'
            && tipodearchivo[i] !== 'wmv' && tipodearchivo[i] !== 'mp4'"
            src="../../../assets/img/archivo.png" width="20px" height="20px"
            class="mr-2 imgS">
            <label style="margin-bottom: 3px;">{{archivonom.substring(0, 16)}}</label><img (click)="quitararchivo(i)" src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px">
          </ion-col>
        </ion-row>

      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <div *ngFor="let com of com">
            <br>
            <span style="text-transform: uppercase;">{{com.Nombre}}-</span>
            <br>
            <span style="text-transform: none;">{{com.Comentario}}</span>
        </div>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary" style="font-weight: bolder;">Comentarios</ion-label>
        <ion-textarea [(ngModel)]="Comentario" rows="4" placeholder="Escribe aquí el comentario"></ion-textarea>
      </ion-col>
      <ion-col size="6" class="ion-text-center mt-20">
        <input type="radio" value="2" name="status" id="status" [(ngModel)]="status">
        <ion-label style="color: black!important;" for="vehicle1">Finalizada</ion-label>
      </ion-col>
      <ion-col size="6" class="ion-text-center mt-20">
        <input type="radio" value="3" name="status" id="status" [(ngModel)]="status">
        <ion-label style="color: black!important;" for="vehicle2">No Finalizada</ion-label>
      </ion-col>
      <ion-col size="6" class="ion-text-center mt-20 mb-20">
        <ion-button class="btn-azul" (click)="InsertaPregunta()">
          <ion-icon name="paper-plane-sharp"></ion-icon>
        ENVIAR
        </ion-button>
      </ion-col>
      <ion-col size="6" class="ion-text-center mt-20 mb-20">
        <ion-button (click)="cancelar()" class="btn-rojo">
        X Cancelar
        </ion-button>
      </ion-col>
  </ion-row>
</ion-content>

<ion-content *ngIf="nocancel==false">
  <ion-row class="ion-margin-top mt-30 px-20">

      <ion-col size="12" class="ion-text-center mt-50">
        <ion-label color="primary" style="font-weight: bolder;">Motivo de cancelación</ion-label>
        <ion-textarea [(ngModel)]="cancel" rows="4" placeholder="Escribe aquí el motivo"></ion-textarea>
      </ion-col>

      <ion-col size="12" class="ion-text-center mt-20 mb-20">
        <ion-button (click)="CancelaPregunta()" class="btn-rojo">
        X Cancelar
        </ion-button>
      </ion-col>
  </ion-row>
</ion-content>
